package com.pixelnx.localhelp.spash;


import android.content.Context;

import androidx.room.Room;
import androidx.room.RoomDatabase;

@androidx.room.Database(entities = {Modellogo.class}, version = 2, exportSchema = false)

public abstract class Database extends RoomDatabase {


    private static Database in;
    public abstract DaoAccess daoAccess();






 public static Database getAppDatabase(Context context) {
        if (in == null) {
            in =
                    Room.databaseBuilder(context.getApplicationContext(), Database.class, "user-database")

                            .allowMainThreadQueries()

                          .fallbackToDestructiveMigration()
                            .build();
        }
        return in;
    }
    public static void destroyInstance() {
        in = null;
    }
}


